@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

/* ヘッダロゴ */
.logo-header a span{
font-size: 38px;
text-shadow: 0px 0px 8px black;
}

/* ヘッダキャッチフレーズ */
.tagline{
text-shadow: 0px 0px 3px #496587;
}

/* お薦めカードのタイトル */
.navi-entry-card-title {
	font-family: 'BIZ UDPGothic';
}
.navi-entry-card-content.widget-entry-card-content.card-content {
	background: linear-gradient(rgba(0,0,0,.5), rgba(0,0,0,.5));
}

.fixed-header .navi-in > ul li:hover > ul {
display: block;
}

/* H1 */
.article h1{
/*	font-family: 'Sawarabi Gothic';*/
	font-family: 'BIZ UDPGothic';
	font-weight: normal;
  margin: 0;
		margin-right:8px;
  position: relative;
  font-size: 32px;
  padding: 30px 0px 20px 4px;
  margin-bottom: 1em;
	color: #2e7499;
/*  color: #174d66;*/
/*text-shadow: #d0d0d0 1px 0px 2px;*/
}
.article h1::before {
  position: absolute;
  content: '';

  left: 100%;
  bottom: 0;
  width: 20px;
  height: 20px;
  background: #2e7499;/*#45ade6;*/
  z-index: 1;
}  
.article h1::after {
  position: absolute;
  content: '';
  left: 0;
	margin-bottom:8px;
  bottom: 0;
  width: 100%;
  height: 3px;
/*  background: #92bbd1;*/
	background: #2e7499;
/*  background: #174d66;/*#2e7499;*/
}

/* H1の先頭文字を大きく */
/* .article h1:first-letter {
  font-size:180%;
}*/

/* H2 */
/*
.article h2{
background: #3e9fd2;
border: 0px solid #3e9fd2;
border-radius: 6px;
padding: 28px;
color: white;
}
*/
/*
.article h2 {
  color:white;
  background:   repeating-linear-gradient(-45deg, #3e9fd2 0px 10px, #2a97d1 10px 14px);
  background: -webkit-repeating-linear-gradient(-45deg, #3e9fd2 0px 10px, #2a97d1 10px 14px);
}
*/
.article h2 {
	font-family: 'BIZ UDPGothic';
/*  position: relative;*/
/*  background: #3687b3;*/
	background: white;
  /*font-size: 20px;*/
/*  color: #3687b3;*/
	color:#2e7499;
  padding-left:16px;
  /*margin-left: -33px;*/
  /*padding-left: 40px;*/
  line-height: 1;
/*  border-left: 28px solid #3e9fd2;*/
	border-left: 16px solid #2e7499;
  font-weight: normal;
  font-size: 28px;
  padding-top: 8px;
  padding-bottom:8px;
	border-radius: 0px;
	margin-top: 2em;
	margin-bottom: 1em;
	line-height:120%;
}
/*
.article h2:before {
  position: absolute;
  content: '';
  left: 0px;
  top: 0px;
  border: none;
  border-left: solid 50px #3687b3;
  border-bottom: solid 80px transparent;
  z-index:-1;
}
*/
/*
.article h2 {
  position: relative;
  overflow: hidden;
  padding: 28px 16px 28px 80px;
  color: white;
  background: #3e9fd2;
}

.article h2:before {
  position: absolute;
  top: -150%;
  left: -100px;
  width: 150px;
  height: 300%;
  content: '';
  -webkit-transform: rotate(25deg);
  transform: rotate(25deg);
  background: #3687b3;
}
*/


/* H3 */


.article h3 {
		font-family: 'BIZ UDPGothic';
  font-size: 22px;
	font-weight: normal;
  margin: 0;
  padding: 0;
  border-width: 0px;
  /*background-color:#92bbd1;*/
  /*background-color:#f0f8ff;*/

  /*font-weight: bold;*/
	padding: 0.5em 0.5em 0.2em 0.1em;
  margin-bottom: 1em;
 /* border-left: 28px solid #2e7499;*/
  border-bottom: 1px solid #2e7499;
  color: #2e7499;
}

.is-code-row-number-enable pre.hljs,
.is-code-row-number-enable pre.hljs#highlight-demo,
.entry-content pre{
	font-family: 'Source Code Pro', 'Noto Sans JP';
  /*border: 1px dashed #45ade6;*/
	border-width: 0px;
	border-left: 6px solid #aaa;
	/*border-left: 6px double #45ade6;*/
	font-size: 13px;
	background-color: #f8f8f8;
}

.toc {
	width: 90%;
}

.nwa .toc {
	width: 100%;
	border: 1px solid lightgray;
	border-radius: 3px;
	padding: 24px;
}
.toc-title:before {
  content: "\f03a";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
	padding: 0.5em;
	margin: 0.5em;
	border-radius: 50%;
	background-color: #9ed13f;
	color: white;
}

.toc-title {
	padding: 0px 30px 20px 5px;
	font-size: 1.2em;
}

.wp-element-button{
	background-color: #9ed13f;
}

/* ヘッダーが隠れないようにする */
span[id^="toc"]:target {
  margin-top: -90px;
  padding-top: 90px;
}


/* 全体枠 */
.timeline-box { margin: 20px 60px; background: #ccc;}
/* 一番上のタイトル */
.timeline-title { font-family: 'Zen Maru Gothic';}
.timeline-item-label {
	font-family: 'Zen Maru Gothic';
	font-size: 20px;
}

/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}
